Package org.pentaho.reporting.libraries.resourceloader.cache

# Class DefaultResourceDataCacheEntry

java.lang.Object
org.pentaho.reporting.libraries.resourceloader.cache.DefaultResourceDataCacheEntry

All Implemented Interfaces:
  `Serializable`, `ResourceDataCacheEntry`

public class DefaultResourceDataCacheEntry extends Object implements ResourceDataCacheEntry
Creation-Date: 06.04.2006, 09:53:37

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DefaultResourceDataCacheEntry(ResourceData data, ResourceManager manager)`

## Method Summary

Modifier and Type
Method
Description
`ResourceData`
`getData()`
`long`
`getStoredVersion()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultResourceDataCacheEntry

public DefaultResourceDataCacheEntry(ResourceData data, ResourceManager manager) throws ResourceLoadingException

Throws:
  `ResourceLoadingException`

## Method Details

### getData

public ResourceData getData()

Specified by:
  `getData` in interface `ResourceDataCacheEntry`

### getStoredVersion

public long getStoredVersion()

Specified by:
  `getStoredVersion` in interface `ResourceDataCacheEntry`